import { ajax } from "../sdk/ajax";
import dataColor from "echarts/src/visual/dataColor";

/* 用户管理 */

// 用户列表
export const userList = (data) => ajax("post", '/user/list', data);

// 用户删除
export const userRemove = (data) => ajax("post", '/user/remove', data);

// 用户添加
export const userAdd = (data) => ajax("post", '/user/add', data);

// 用户编辑
export const userEdit = (data) => ajax("post", '/user/edit', data);

// 账号激活
export const userActivate = (data) => ajax('post', '/account/setAccountStatus', data);



/* 菜单管理 */

// 菜单添加
export const menuAdd = (data) => ajax('post', '/menu/add', data);

// 菜单删除
export const menuRemove = (data) => ajax('post', '/menu/remove', data);

// 菜单列表
export const menuList = (data) => ajax('post', '/menu/list', data);

//菜单编辑
export const menuEdit = (data) => ajax('post', '/menu/edit', data);


/* 权限管理 */

// 权限组添加
export const authAdd = (data) => ajax('post', '/group/add', data);

// 权限组编辑
export const authEdit = (data) => ajax('post', '/group/edit', data);

// 权限组删除
export const authRemove = (data) => ajax('post', '/group/remove', data);

// 用户权限获取
export const authUserGroup = (data) => ajax('post', '/auth/getAcountByGroup', data);

// 用户权限保存
export const authUserSave = (data) => ajax('post', '/auth/saveAccountGroup', data);

// 权限菜单分配获取
export const authMenuGroup = (data) => ajax('post', '/auth/getMenuByGroup', data);

// 权限菜单分配保存
export const authMenuSave = (data) => ajax('post', '/auth/saveGroupMenu', data);


