
export const menuData = [
    {
        menuName: "档案信息",
        iconClassName: "el-icon-files",
        disabled: false, // 是否禁用
        children: [
            // {
            //     menuName: '企业信息',
            //     url: "firmInfo"
            // },
            {
                menuName: '牧场信息',
                url: "pastureInfo"
            },
            {
                menuName: '栋舍信息',
                url: "areaInfo"
            },
            {
                menuName: '员工信息',
                url: "workerInfo"
            }
        ]
    },
    {
        menuName: "繁殖管理",
        iconClassName: "el-icon-magic-stick",
        disabled: false, // 是否禁用
        children: [
            {
                menuName: '种羊档案',
                url: "seedSheepFile"
            },
            {
                menuName: '商品羊档案',
                url: "commoditySheepFile"
            },
            {
                menuName: '采精记录',
                url: "collectSeedLog"
            },
            {
                menuName: '查情记录',
                url: "matingSuccLog"
            },
            {
                menuName: '配种记录',
                url: "matingLog"
            },
            {
                menuName: '妊检记录',
                url: "pregnancyTestLog"
            },
            {
                menuName: '分娩记录',
                url: "parturitionLog"
            },
            {
                menuName: '断奶记录',
                url: "weaningLog"
            },
            {
                menuName: '离场记录',
                url: "offFieldLog"
            },
            {
                menuName: '转舍记录',
                url: "shiftFieldLog"
            }
        ]
    },
    {
        menuName: "防疫管理",
        iconClassName: "el-icon-s-flag",
        disabled: false,
        children: [
            {
                menuName: '免疫程序',
                url: "immuneProce"
            },
            {
                menuName: '免疫计划',
                url: "immunePlan"
            },
            {
                menuName: '免疫记录',
                url: "immuneLog"
            },
            {
                menuName: '疾病登记',
                url: "illnessLog"
            }
        ]
    },

    {
        menuName: "生产管理",
        iconClassName: "el-icon-first-aid-kit",
        disabled: false,
        children: [
            {
                menuName: '批次管理',
                url: "batch"
            },
            {
                menuName: '生产预警',
                url: "productionWarn"
            },
            {
                menuName: '调拨转舍',
                url: "shiftField"
            },
            {
                menuName: '死淘管理',
                url: "dieWeedOut"
            },
            {
                menuName: '耳标管理',
                url: "earTag"
            },
            {
                menuName: '检测报告',
                url: "examiningReport"
            }

        ]
    },
    // {
    //     menuName: "无害化管理",
    //     iconClassName: "el-icon-set-up",
    //     disabled: false,
    //     children: [
    //         {
    //             menuName: '无害化确认',
    //             url: "harmlessConfirm"
    //         },
    //         {
    //             menuName: '智能提醒',
    //             url: "intelligentHint"
    //         }
    //     ]
    // },
    // {
    //     menuName: "物料管理",
    //     iconClassName: "el-icon-news",
    //     disabled: false,
    //     children: [
    //         {
    //             menuName: '基础信息',
    //             url: "basicsInfo"
    //         },
    //         {
    //             menuName: '物料入库',
    //             url: "materialInStore"
    //         },
    //         {
    //             menuName: '物料出库',
    //             url: "materialOutStore"
    //         },
    //         {
    //             menuName: '库存盘点',
    //             url: "storeList"
    //         }
    //     ]
    // },
    {
        menuName: "育种管理",
        iconClassName: "el-icon-bank-card",
        disabled: false,
        children: [
            {
                menuName: '等级评定',
                url: "gradeAssess"
            }
        ]
    },
    // {
    //     menuName: "设备管理",
    //     iconClassName: "el-icon-setting",
    //     disabled: false,
    //     children: [
    //         {
    //             menuName: '环境检测',
    //             url: "environmentMonitoring"
    //         },
    //         {
    //             menuName: '视频监控',
    //             url: "video"
    //         },
    //         {
    //             menuName: '设备故障',
    //             url: "deviceFault"
    //         }
    //     ]
    // },
    {
        menuName: "销售管理",
        iconClassName: "el-icon-sell",
        disabled: false,
        children: [
            {
                menuName: '销售记录',
                url: "sellLog"
            }
        ]
    },
    {
        menuName: "统计分析",
        iconClassName: "el-icon-monitor",
        disabled: false,
        children: [
            {
                menuName: '存栏统计',
                url: "existSstatistic"
            },
            {
                menuName: '生产数据',
                url: "productData"
            }
        ]
    }
]

// export default {menuData}




/* 菜单配置 描述 */
const menuData描述 = [
    // 有子菜单 并且字菜单分组的
    {
        oneMenuName: "导航一", // 一级菜单名
        iconClassName: "aaa", // element-ui图标名
        children: [ // 分组的
            {
                groupName: '组名一',
                list: [
                    {
                        menuName: '选项1',
                        url: "home"
                    },
                    {}
                ],
            },
            {
                groupName: '组名二',
                list: [
                    {
                        menuName: '选项1',
                        url: "home"
                    },
                    {}
                ],
            }
        ],
    },
    // 有子菜单 字菜单不分组的
    {
        oneMenuName: "导航二",
        iconClassName: "el-icon-menu",
        disabled: false, // 是否禁用
        children: [ // 不分组的
            {
                menuName: '选项1',
                url: "home"
            },
            {}
        ]
    },
    // 无子菜单的
    {
        oneMenuName: "导航三",
        iconClassName: "el-icon-document",
        url: "home",
        disabled: false
    },

    "导航四"
]


